/* eslint-disable no-unused-vars */
function onLinkClick(item) {
    console.dir({
        id: this.attr("id"),
        text: item.text,
        value: item.value
    });
}

function onCheckValue(value) {
    var n = Math.floor(Math.random() * 10);

    return !(n % 2);
}

function onMulLabelClick(value, update) {

    var items = [{
        text: "碧玉妆成一树高",
        value: "1"
    }, {
        text: "万条垂下绿丝绦",
        value: "2"
    }, {
        text: "不知细叶谁裁出",
        value: "3"
    }, {
        text: "二月春风似剪刀",
        value: "4"
    }];

    setTimeout(function () {
        update(items);
    }, 1000);
}

function onFillDynamicData(row, index, callback) {
    var length = row.length,
        item;

    for (var i = 0; i < length; i++) {
        item = row[i];
        item.value = "11:11:11";
    }

    setTimeout(function () {
        callback(row);
    }, 1000);
}